LRZ_LodeRunCol        equ $03                     ; actual col lode runner
LRZ_LodeRunRow        equ $04                     ; actual row lode runner
LRZ_LodeRunOnImgPosLR equ $05                     ; lr pos on image left/right - $02=center
LRZ_LodeRunOnImgPosUD equ $06                     ; lr pos on image up/down    - $02=center
LRZ_LodeRunSpriteNo   equ $07                     ; lr sprite number
LRZ_XLvlModPos        equ $09                     ; ptr: expanded level data rows $0800-$09c3 - in game modified with lr/en/holes
LRZ_XLvlModRowLo      equ $09                     ;      lo
LRZ_XLvlModRowHi      equ $0a                     ;      hi
LRZ_XLvlOriPos        equ $0b                     ; ptr: expanded level data rows $0a00-$0bc3 - original without lr/en/holes
LRZ_XLvlOriRowLo      equ $0b                     ;      lo
LRZ_XLvlOriRowHi      equ $0c                     ;      hi
LRZ_ImageAdr          equ $0d                     ; ptr: image data
LRZ_ImageAdrLo        equ $0d                     ;      lo
LRZ_ImageAdrHi        equ $0e                     ;      hi
LRZ_0d                equ $0d                     ; ptr: copy graphic data end   address
LRZ_0e                equ $0e                     ; ptr: copy graphic data end   address
LRZ_0f                equ $0f                     ; ptr: copy graphic data start address
LRZ_10                equ $10                     ; ptr: copy graphic data start address
LRZ_11                equ $11                     ; ptr: copy graphic data start address
LRZ_12                equ $12                     ; ptr: copy graphic data start address
LRZ_EnemyCol          equ $15                     ; actual enemy col
LRZ_EnemyRow          equ $16                     ; actual enemy row
LRZ_EnemySpriteNo     equ $17                     ; actual enemy sprite number
LRZ_EnemyMovDirLR     equ $18                     ; actual enemy dir right/left  $ff=left  $01=right
LRZ_EnemyMovLeft        = $ff                     ; 
LRZ_EnemyMovRight       = $01                     ; 
LRZ_EnemyInHoleTime   equ $19                     ; enemy time in hole
LRZ_EnemyOnImgPosLR   equ $1a                     ; actual enemy pos on image left/right
LRZ_EnemyOnImgPosUD   equ $1b                     ; actual enemy pos on image up/down
LRZ_Work              equ $1e                     ; worker /counter copy graphic data/joy content $DC00
LRZ_1f                equ $1f                     ; worker /data    copy graphic data/
LRZ_GfxRowOff         equ $20                     ; row offset
LRZ_EnemyRowSav       equ $20                     ; save actual row
LRZ_ImageHight        equ $22                     ; image hight
LRZ_WrkHiScorLen      equ $22                     ; image hight
LRZ_ImageNo           equ $23                     ; image number $00-$39
LRZ_EditTile          equ $23                     ; edit tile number $00-$09
LRZ_EditCmd           equ $23                     ; edit command character
LRZ_WrkGetKey         equ $23                     ; save actual key
LRZ_ImgScreenOut      equ $24                     ; target output  $20=$2000 $40=$4000
LRZ_EnemyColGetDir    equ $28                     ; work: actual rank/actual enemy column
LRZ_EnemyRowGetDir    equ $29                     ; work: score board offset/actual enemy row
LRZ_EnemyColGetDirSav equ $2a                     ; save work actual enemy column
LRZ_EnemyMovDir       equ $2b                     ; actual enemy move direction
LRZ_EnemyMovDirMin    equ $2c                     ; move direction indicator
LRZ_EnemyMaxColLe     equ $2d                     ; maximum move left - without walls ... in the way
LRZ_EnemyMaxColRi     equ $2e                     ; maximum move right - without walls ... in the way
LRZ_2f                equ $2f                     ; score add tune
LRZ_EnemyRowMaxUD     equ $2f                     ; 
LRZ_EnemyColSavUD     equ $30                     ; target row from work col
LRZ_EnemyRowSavUD     equ $31                     ; target row from work row
LRZ_EnmyMovCyc1       equ $32                     ; enemy move cycles tab
LRZ_EnmyMovCyc2       equ $33                     ; enemy move cycles tab + 1
LRZ_EnmyMovCyc3       equ $34                     ; enemy move cycles tab + 2
LRZ_EnmyMovCtrl       equ $35                     ; enemy move control
LRZ_EnmyPtrCyc        equ $36                     ; enemy move pointer actual cycles ($32-$34)
LRZ_ImagePosNo        equ $41                     ; image position number  (bits 0-1 of 4f substitution)
LRZ_42                equ $42                     ; my pointer multi color screen
LRZ_43                equ $43                     ; my pointer multi color screen
LRZ_44                equ $44                     ; my pointer sprite data
LRZ_45                equ $45                     ; my pointer sprite data
LRZ_46                equ $46                     ; my work
LRZ_ScreenCol         equ $4f                     ; screen col  (00-1b)
LRZ_ScreenRow         equ $50                     ; screen row  (00-0f) / wait for demo counter
LRZ_GfxScreenOut      equ $51                     ; target output  $20=$2000 $40=$4000
LRZ_DemoMoveDat       equ $55                     ; ptr: DemoMoveData
LRZ_DemoMoveDatLo     equ $55                     ;      lo
LRZ_DemoMoveDatHi     equ $56                     ;      hi
LRZ_DemoMoveType      equ $57                     ; type of demo move  (l/r/u/d/fire)
LRZ_DemoMoveTime      equ $58                     ; duration demo move
LRZ_EditStatus        equ $5a                     ; edit status  $00=modified
LRZ_ImageDataBuf      equ $5b                     ; generated image bytes - $5b-$7b
LRZ_TuneVoc1          equ $7c                     ; tune value voice 1
LRZ_MelodyData        equ $7d                     ; ptr: MelodyData
LRZ_MelodyDataLo      equ $7d                     ;      lo
LRZ_MelodyDataHi      equ $7e                     ;      hi
LRZ_MatrixLastKey     equ $c5                     ; 197 - c64 - key value
